package com.uas.search.console.b2b.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "purc$deputyorderitems")
public class DeputyOrderItemSimpleInfo {

	/**
	 * id
	 */
	@Id
	@Column(name = "dei_id")
	private Long id;

	/**
	 * 产品名称
	 */
	@Column(name = "dei_prodname")
	private String prodname;

	/**
	 * 产品型号
	 */
	@Column(name = "dei_prodcode")
	private String prodcode;

	/**
	 * 产品规格
	 */
	@Column(name = "dei_prodspec")
	private String prodspec;

	/**
	 * 数量
	 */
	@Column(name = "dei_amount")
	private Integer amount;

	/**
	 * 单价
	 */
	@Column(name = "dei_unitprice")
	private Double unitprice;

	/**
	 * 总金额
	 */
	@Column(name = "dei_totalprice")
	private Double totalprice;

	/**
	 * 备注
	 */
	@Column(name = "dei_remark")
	private String remark;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getProdname() {
		return prodname;
	}

	public void setProdname(String prodname) {
		this.prodname = prodname;
	}

	public String getProdcode() {
		return prodcode;
	}

	public void setProdcode(String prodcode) {
		this.prodcode = prodcode;
	}

	public String getProdspec() {
		return prodspec;
	}

	public void setProdspec(String prodspec) {
		this.prodspec = prodspec;
	}

	public Integer getAmount() {
		return amount;
	}

	public void setAmount(Integer amount) {
		this.amount = amount;
	}

	public Double getUnitprice() {
		return unitprice;
	}

	public void setUnitprice(Double unitprice) {
		this.unitprice = unitprice;
	}

	public Double getTotalprice() {
		return totalprice;
	}

	public void setTotalprice(Double totalprice) {
		this.totalprice = totalprice;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	@Override
	public String toString() {
		return "DeputyOrderItemSimpleInfo [id=" + id + ", prodname=" + prodname + ", prodcode=" + prodcode
				+ ", prodspec=" + prodspec + ", amount=" + amount + ", unitprice=" + unitprice + ", totalprice="
				+ totalprice + ", remark=" + remark + "]";
	}

}
